site_name: Documentations
site_description: Project documentation with Markdown.
site_author: bruno@clicclac.info
site_url: https://clicclac.synology.me/central_docs/
#nav: 1 espace après le tiret
#mettre des titres aux pages évite une majuscules auto dans les menus formés à 
#partir des noms de fichiers (sauf si camelCase?)

nav:
    - Accueil: index.md
    - Linux:
        - Index: Linux/index.md
        - ack: Linux/ack.md
        - Alternatives: Linux/alternatives.md
        - Apps:
            - AppImage: Linux/Apps/AppImage.md
            - flatpak: Linux/Apps/flatpak.md
            - snap: Linux/Apps/snap.md
        - Archiver / compresser: Linux/archiver.md
        - apt-get: Raspberry/apt-get.md
        - aptitude: Raspberry/aptitude.md
        - awk: Linux/awk.md
        - bat: Linux/bat.md
        - Chaines: Linux/string.md
        - Commandes sympas: Linux/commandes.md
        - Compare: Linux/compare.md
        - Conditions: Linux/conditions.md
        - cron: Linux/cron.md
        - cut: Linux/cut.md
        - Date: Linux/date.md
        - du - df: Linux/du-df.md
        - Editeurs:
            - index: Linux/Editeurs/index.md
            - nano: Linux/Editeurs/nano.md
            - vi: Linux/Editeurs/vi.md
        - Exa: Linux/exa.md
        - Executer: Linux/executer.md
        - fd (find): Linux/fd.md
        - Filtres: Linux/filtres.md
        - Format ext4: Linux/format_ext4.md
        - find: Linux/find.md
        - for: Linux/for.md
        - fzf: Linux/fzf.md
        - grep: Linux/grep.md
        - grep --options (fr): Linux/grep-options-fr.md
        - grep --options (us): Linux/grep-options.md
        - kill: Linux/kill.md
        - links: Linux/links.md
        - locale: Linux/locale.md
        - Lire un fichier: Linux/read.md
        - MàJ sans internet: Linux/maj.md
        - Permissions: Linux/permissions.md
        - Pipelines: Linux/pipeline.md
        - Pushd / popd: Linux/pushd-popd.md
        - I/O Redirections: Linux/redirections.md
        - ripgrep: Linux/ripgrep.md
        - rsync: Linux/rsync.md
        - SCP: Linux/scp.md
        - SFTP: Linux/sftp.md
        - sed: Linux/sed.md
        - Shells: Linux/shell.md
        - SSH: Linux/ssh.md
        - Tail / Head: Linux/tail-head.md
        - Users: Linux/users.md
        - zoxide: Linux/zoxide.md
        - Divers: Linux/divers.md
    - Distributions:
        - Index: Distributions/index.md
        - Debian: Distributions/debian.md
        - Linux Mint:
            - Index: Distributions/Mint/index.md
            - Mint: Distributions/Mint/Mint.md
            - Applications: Distributions/Mint/applications.md
            - Backup: Distributions/Mint/backup.md
            - Grub: Distributions/Mint/grub.md
            - Info Système: Distributions/Mint/info_sys.md
            - Mises-à-jour: Distributions/Mint/outdated.md
            - Recovery: Distributions/Mint/recovery.md
            - Samba: Distributions/Mint/samba.md
            - Systemctl: Distributions/Mint/systemctl.md
            - Serveur ftp: Distributions/Mint/vsftpd.md
            - Serveur web: Distributions/Mint/webserver.md     
        -  Solus:
            - Index: Distributions/solus/index.md
            - Apache: Distributions/solus/apache.md
            - MySQL: Distributions/solus/mysql.md
            - PHP: Distributions/solus/php.md
            - zsh: Distributions/solus/zsh.md
        - Update: Distributions/update.md
    - macOS:
        - Index: macOS/index.md
        - Divers: 
            - AllToMP3: macOS/Divers/AllToMP3.md
            - DeezloaderRemix: macOS/Divers/DeezloaderRemix.md
            - Divers: macOS/Divers/Divers.md
            - Paralles Desktop: macOS/Divers/parallels.md
            - Vuepress: macOS/Divers/vuepress.md
            - weasyprint: macOS/Divers/weasyprint.md
            - Hackintosh: macOS/Divers/Hackintosh.md
        - GPG: macOS/GPG.md
        - Homebrew:
            - homebrew: macOS/homebrew/brew.md
            - homebrew-cask: macOS/homebrew/brew-cask.md
        - Latex: macOS/Latex.md
        - Logs: macOS/logs.md
        - Mail: macOS/Mail.md
        - Node.js:
            - Index: macOS/node/index.md
            - Ghost: macOS/node/ghost.md
            - node-js: macOS/node/node-js.md
            - nodeenv: macOS/node/nodeenv.md
            - nvm: macOS/node/nvm.md
        - Perl:
            - Index: macOS/perl/index.md
            - Homebrew: macOS/perl/homebrew.md
            - Perlbrew: macOS/perl/perlbrew.md
            - Perl: macOS/perl/perl.md
        - Python:
            - Index: macOS/python/index.md
            - Conda: macOS/python/conda.md
            - Django: macOS/python/Django.md
            - pip: macOS/python/pip.md
            - pipx: macOS/python/pipx.md
            - poetry: macOS/python/poetry.md
            - Python 3: macOS/python/python3.md
            - Environnement virtuel: macOS/python/virtuel.md
        - Network: macOS/network.md
        - Ruby: macOS/ruby.md
        - Rust: macOS/rust.md
        - Sécurité (Gatekeeper): macOS/securite.md
        - ssh:
            - SSH: macOS/ssh/ssh.md
            - passwordless: macOS/ssh/ssh-passwordless.md
        - Terminal:
            - alias: macOS/terminal/alias.md
            - chflags: macOS/terminal/chflags.md
            - Commandes: macOS/terminal/commandes.md
            - Exécuter un script Bash: macOS/terminal/executer_shell_script.md
            - getfileinfo - setfile: macOS/terminal/getfileinfo_setfile.md
            - launchd: macOS/terminal/launchd.md
            - md5: macOS/terminal/md5.md
            - mdfind: macOS/terminal/mdfind.md
            - open: macOS/terminal/open.md
            - Reachable: macOS/terminal/reachable.md
            - Shebang: macOS/terminal/shebang.md
            - Terminal: macOS/terminal/terminal.md
            - Trash: macOS/terminal/trash.md
            - you have mail: macOS/terminal/youhavemail.md
            - xattr: macOS/terminal/xattr.md
        - Time Machine: macOS/TimeMachine.md
        - Touch ID: macOS/TouchID.md
        - Trucs: macOS/trucs.md
        - WebServer: 
            - Index: macOS/webserver/index.md
            - Apache: macOS/webserver/apache.md
            - Apache (M1): macOS/webserver/apache_M1.md
            - Composer: macOS/webserver/composer.md
            - erreurs: macOS/webserver/errors_apache.md
            - htpasswd: macOS/webserver/htpasswd.md
            - mongodb: macOS/webserver/mongodb.md 
            - MySQL (installation): macOS/webserver/install_mysql.md
            - MySQL (trucs): macOS/webserver/mysql.md
            - PHP: macOS/webserver/php.md
            - mod-php: macOS/webserver/mod-php.md
            - php-fpm: macOS/webserver/php-fpm.md
            - PHP 7.1: macOS/webserver/php71.md
            - PHP 7.3: macOS/webserver/php73.md
            - PHP 7.4: macOS/webserver/php74.md
            - PHP 8.0: macOS/webserver/php80.md
            - redis: macOS/webserver/redis.md
            - Xhprof: macOS/webserver/Xhprof.md 
        - Liens: macOS/liens.md
    - MySQL:
        - Index: MySQL/index.md
        - Backup: MySQL/Backup.md
        - Bases: MySQL/bases.md
        - Connexion: MySQL/connexion.md
        - Host: MySQL/host.md
        - Install: MySQL/install.md
        - mysqlcheck: MySQL/mysqlcheck.md
        - password: MySQL/password.md
        - Privilèges: MySQL/privileges.md
        - Repair: MySQL/repair.md
        - Select: MySQL/select.md
        - Tables: MySQL/tables.md
        - Trucs: MySQL/trucs.md
        - Types de bases: MySQL/type_bases.md
        - Utilisateurs: MySQL/users.md
        - Commandes diverses: MySQL/diverses.md
    - Plesk Onyx:
        - Index: Plesk/index.md
        - Ghost: Plesk/Ghost.md
        - Git: Plesk/git.md
        - Gitea: Plesk/Gitea.md
        - IONOS: Plesk/ionos.md
        - Joplin: Plesk/joplin.md
        - Nextcloud: Plesk/nextcloud.md
        - Nodejs: Plesk/nodejs.md
        - Plesk: Plesk/Plesk.md
    - Programmation:
        - Python:
            - Index: Programmation/Python/index.md
            - Classes: Programmation/Python/class.md
            - Date: Programmation/Python/date.md
            - Dictionnaire: Programmation/Python/dictionnaire.md
            - Fabric SSH Python: Programmation/Python/fabric-ssh.md
            - Fichiers: Programmation/Python/fichiers.md
            - Fonctions: Programmation/Python/fonctions.md
            - Boucle For: Programmation/Python/for.md
            - In: Programmation/Python/in.md
            - json: Programmation/Python/json.md
            - Listes: Programmation/Python/liste.md
            - Les regex: Programmation/Python/regex.md
            - requests: Programmation/Python/requests.md
            - Sets: Programmation/Python/set.md
            - Strings: Programmation/Python/string.md
            - Tuples: Programmation/Python/tuple.md
            - zip: Programmation/Python/zip.md
        - Sqlite: Programmation/Sqlite.md
    - Raspberry:
        - Index: Raspberry/index.md
        - apt-get: Raspberry/apt-get.md
        - aptitude: Raspberry/aptitude.md
        - Argon One: Raspberry/Argon-one.md
        - Backup SD: Raspberry/backup_sd.md
        - Boot et clone: Raspberry/boot.md
        - Backup: Raspberry/backup.md
        - Cloud: Raspberry/cloud.md
        - Diet-pi: Raspberry/diet-pi.md
        - Envoyer un mail depuis le RPi: Raspberry/send_mail.md
        - Hardware: Raspberry/hardware.md
        - Heure: Raspberry/heure.md
        - Installation sans écran: Raspberry/headless.md
        - Mail: Raspberry/mail.md
        - Matériels:
            - Liste: Raspberry/materiels/materiels.md
            - Cameras: Raspberry/materiels/camera.md
            - HC-SR04: Raspberry/materiels/HC-SR04.md
            - HC-SR501: Raspberry/materiels/HC-SR501.md
        - Nextcloud: Raspberry/nextcloud.md
        - Pi Desktop: Raspberry/pi-desktop.md
        - Pi-hole: Raspberry/pi-hole.md
        - Python: Raspberry/python.md
        - Réseau: Raspberry/reseau.md
        - Rclone: Raspberry/rclone.md
        - Services: Raspberry/services.md
        - SiriControl: Raspberry/siri_control.md
        - Tools: Raspberry/tools.md
        - Divers: Raspberry/divers.md
    - Sonos:
        - Support: Sonos/support.md
        - Voyants: Sonos/voyants.md
    - Synology:
        - Index: Synology/index.md
        - bash: Synology/bash.md
        - crontab: Synology/crontab.md
        - Docker:
            - docker-compose:
                - changeDetection: Synology/Docker/docker-compose/changeDetection.md
                - chibisafe: Synology/Docker/docker-compose/chibisafe.md
                - dockge: Synology/Docker/docker-compose/dockge.md
                - dockspell: Synology/Docker/docker-compose/docspell.md
                - dozzle: Synology/Docker/docker-compose/dozzle.md
                - freegeoip: Synology/Docker/docker-compose/freegeoip.md
                - glances: Synology/Docker/docker-compose/glances.md
                - gokapi: Synology/Docker/docker-compose/gokapi.md
                - heimdall: Synology/Docker/docker-compose/heimdall.md
                - iGotify: Synology/Docker/docker-compose/igotify.md
                - invidious: Synology/Docker/docker-compose/invidious.md
                - maptiler: Synology/Docker/docker-compose/maptiler.md
                - navidrome: Synology/Docker/docker-compose/navidrome.md
                - openstreetmap: Synology/Docker/docker-compose/openstreetmap.md
                - paperlessngx: Synology/Docker/docker-compose/paperlessngx.md
                - Pi.Alert: Synology/Docker/docker-compose/Pi.Alert.md
                - pingvin: Synology/Docker/docker-compose/pingvin.md
                - privateBin: Synology/Docker/docker-compose/privatebin.md
                - psiTransfer: Synology/Docker/docker-compose/psitransfer.md
                - scrutiny: Synology/Docker/docker-compose/scrutiny.md
                - seafile: Synology/Docker/docker-compose/seafile.md
                - searXNG: Synology/Docker/docker-compose/searXNG.md
                - send: Synology/Docker/docker-compose/send.md
                - snapdrop: Synology/Docker/docker-compose/snapdrop.md
                - snippet-box: Synology/Docker/docker-compose/snippet-box.md
                - tautulli: Synology/Docker/docker-compose/tautulli.md
                - watchtower: Synology/Docker/docker-compose/watchtower.md
                - wgeasy: Synology/Docker/docker-compose/wgeasy.md
                - yacy: Synology/Docker/docker-compose/yacy.md
                - yatch: Synology/Docker/docker-compose/yatch.md
            - Grafana: Synology/Docker/grafana.md
            - Index: Synology/Docker/index.md
            - iperf3: Synology/Docker/iperf3.md
            - Joplin: Synology/Docker/joplin.md
            - Portainer: Synology/Docker/portainer.md
            - Ports: Synology/Docker/ports.md
            - Updates: Synology/Docker/updates.md
            - Wireguard: Synology/Docker/Wireguard.md
        - DSM 6: 
            - DSM 6: Synology/dsm6/dsm6.md
            - Gitea: Synology/dsm6/gitea.md
            - Nextcloud: Synology/dsm6/nextcloud.md
            - ownCloud: Synology/dsm6/owncloud.md
            - PHP: Synology/dsm6/php.md
            - Python 3: Synology/dsm6/python.md
            - Services: Synology/dsm6/services.md
        - DSM 7: 
            - Apache: Synology/dsm7/apache.md
            - cli-tools: Synology/dsm7/cli-tools.md
            - DSM 7: Synology/dsm7/dsm7.md
            - Gitea: Synology/dsm7/gitea.md
            - Home Assistant: Synology/dsm7/HomeAssistant.md
            - Homebridge: Synology/dsm7/Homebridge.md
            - Nextcloud: Synology/dsm7/nextcloud.md
            - Node: Synology/dsm7/node.md
            - Pare-feu: Synology/dsm7/pare-feu.md
            - pCloud: Synology/dsm7/pcloud.md
            - PHP: Synology/dsm7/php.md
            - Pi-Hole: Synology/dsm7/pi-hole.md
            - Piwigo: Synology/dsm7/piwigo.md
            - Python 3: Synology/dsm7/python.md
            - Redis: Synology/dsm7/redis.md
            - Snapshot: Synology/dsm7/snapshot.md
            - Webserver (opkg): Synology/dsm7/webserver-opkg.md
            - Wireguard: Synology/dsm7/wireguard.md
            - WordPress: Synology/dsm7/wordpress.md
        - eadir: Synology/eadir.md
        - ImageMagick: Synology/ImageMagick.md
        - nginx: Synology/nginx.md
        - oPKG:
            - iPKG (DSM5): Synology/opkg/iPKG5.md
            - iPKG (DSM6): Synology/opkg/iPKG6.md
            - oPKG: Synology/opkg/oPKG.md
        - ovh: Synology/ovh.md
        - Ports: Synology/ports.md
        - Scripts: Synology/scripts.md
    - Windows:
        - Index: Windows/index.md
        - Astuces: Windows/trucs.md
        - Chocolatey: Windows/Chocolatey.md
        - Clés ssh: Windows/cles-ssh.md
        - Commandes: Windows/commandes.md
        - Firewall: Windows/firewall.md
        - PowerShell:
            - Index: Windows/PowerShell/index.md
            - Stratégies d'exécution: Windows/PowerShell/ExecutionPolicies.md
            - Commandes: Windows/PowerShell/commands.md
            - Environnements: Windows/PowerShell/env.md
            - Modules: Windows/PowerShell/modules.md
            - PowerShell sur macOS: Windows/PowerShell/macOS.md
            - Trucs: Windows/PowerShell/trucs.md
        - systeminfo: Windows/systeminfo.md
        - Windows Terminal: Windows/Terminal.md
        - winget: Windows/winget.md         
        - Installer WSL: Windows/wsl.md
        - Personnaliser WSL: Windows/wsl_2.md
    - Divers:
        - Index: Divers/index.md
        - Adobe: 
            - Adobe: Divers/Adobe/adobe.md
            - Lightroom: Divers/Adobe/Lightroom.md
        - Alfred: Divers/alfred.md
        - bash:
            - basename: Divers/bash/basename.md
            - Commandes: Divers/bash/commandes.md
            - curl: Divers/bash/curl.md
            - direnv: Divers/bash/direnv.md
            - Exemples: Divers/bash/bash_exemples.md
            - getopts: Divers/bash/getopts.md
            - HereDoc: Divers/bash/HereDoc.md
            - image: Divers/bash/image.md
            - json: Divers/bash/json.md
            - Password: Divers/bash/passwords.md
            - printf: Divers/bash/printf.md
            - Programmation: Divers/bash/programmation.md
            - Regular Expression Matching: Divers/bash/rematch.md
            - Strings: Divers/bash/strings.md
            - Tableaux: Divers/bash/tableaux.md
            - Translate: Divers/bash/translate.md
            - Variables: Divers/bash/variables.md
        - batch:
            - Commades DOS (1): Divers/batch/Commandes_DOS.md
            - Commades DOS (2): Divers/batch/Commandes_DOS_2.md
        - Changer de shell: Divers/Changer_shell.md
        - Chromium: Divers/Chromium.md
        - Composer (php): Divers/Composer.md
        - diraction: Divers/diraction.md
        - Docker:
            - docker: Divers/docker/docker.md
            - applications: Divers/docker/applications.md
            - watchtower: Divers/docker/watchtower.md
        - dotbare: Divers/dotbare.md
        - git:
            - Index: Divers/git/index.md
            - git: Divers/git/git.md
            - Github: Divers/git/github.md
            - Session de travail avec git: Divers/git/git-session.md
            - gitea: Divers/git/gitea.md
            - git-ftp: Divers/git/git-ftp.md
            - Synchroniser 2 dépôts: Divers/git/sync-repo.md
        - go: Divers/go.md
        - Homebridge: Divers/homebridge.md
        - images:
            - avif: Divers/images/avif.md
            - exif: Divers/images/exif.md
            - heic: Divers/images/heic.md
            - mozjpeg: Divers/images/mozjpeg.md
            - webp: Divers/images/webp.md
        - iTerm2: Divers/iTerm2.md
        - JDownloader: Divers/JDownloader.md
        - Joplin: Divers/joplin.md
        - Markdown: Divers/markdown.md
        - Nextcloud: Divers/nextcloud.md
        - Permajet:
            - Papiers Art Lisses: Divers/Permajet/Art_lisse.md
            - Papiers Art Texturés: Divers/Permajet/Art_textures.md
            - Papiers Art Baryta: Divers/Permajet/Baryta.md
            - Papiers Photo Numérique: Divers/Permajet/Photo_numerique.md
        - Plex:
            - Plex: Divers/plex.md
        - Réseau:
            - Reseau:  Divers/reseau/reseau.md
            - Routeur Asus (Merlin): Divers/reseau/rt-ac88u-merlin.md
            - Routeur Asus (openWrt): Divers/reseau/rt-ac88u-openwrt.md
            - Routeur Asus ET12: Divers/reseau/et12.md
        - Sonos: 
            - Index: Divers/Sonos/index.md
            - One: Divers/Sonos/one.md
            - Alexa: Divers/Sonos/alexa.md
            - myMedia for Alexa: Divers/Sonos/myMedia.md
            - soco-cli: Divers/Sonos/soco-cli.md
        - tmux: Divers/tmux.md
        - Vagrant: 
            - Installation: Divers/Vagrant/Vagrant.md
            - Créer une Vagrant box: Divers/Vagrant/creer_une_vagrant_box.md
        - Vider le cache DNS: Divers/Vider_cache_DNS.md
        - WordPress: 
            - Sur Debian/nginx: Divers/wordpress.md
        - wp-cli: 
            - Index: Divers/wp-cli/index.md
            - cli: Divers/wp-cli/wp_cli.md
            - comment: Divers/wp-cli/wp_comment.md
            - config: Divers/wp-cli/wp_config.md
            - core: Divers/wp-cli/wp_core.md
            - db: Divers/wp-cli/wp_db.md
            - Installation: Divers/wp-cli/Installation.md
            - language: Divers/wp-cli/wp_language.md
            - media: Divers/wp-cli/wp_media.md
            - package: Divers/wp-cli/wp_package.md
            - plugin: Divers/wp-cli/wp_plugin.md
            - post: Divers/wp-cli/wp_post.md
            - revisions: Divers/wp-cli/wp_revisions.md
            - scaffold: Divers/wp-cli/wp_scaffold.md
            - Scenarios: Divers/wp-cli/scenarios.md
            - search-remplace: Divers/wp-cli/wp_search-replace.md
            - site: Divers/wp-cli/wp_site.md
            - theme: Divers/wp-cli/wp_theme.md
            - user: Divers/wp-cli/wp_user.md
            - autres: Divers/wp-cli/autres.md
            - OVH: Divers/wp-cli/ovh.md
        - zsh: 
            - Antibody: Divers/zsh/antibody.md
            - Completion: Divers/zsh/completion.md
            - Plugins: Divers/zsh/plugins.md
            - Tools: Divers/zsh/tools.md
            - zinit: Divers/zsh/zinit.md
            - zsh: Divers/zsh/zsh.md
            - zsh2: Divers/zsh/zsh2.md
    - MkDocs: 
            - Installation: MkDocs/index.md
            - Material: MkDocs/mkdocs-material.md
            - Material (2): MkDocs/mkdocs-material-2.md
            - Material (3): MkDocs/mkdocs-material-3.md

theme: 
    name: 'material'
    custom_dir: docs/overrides
    language: 'fr'
    palette: 
        - media: "(prefers-color-scheme: light)"
          scheme: default
          primary: light green
          #accent: green
          toggle:
            icon: material/weather-sunny 
            name: Switch to dark mode
        - media: "(prefers-color-scheme: dark)"
          scheme: slate 
          primary: indigo
          #accent: blue
          toggle:
            icon: material/weather-night
            name: Switch to light mode
    features:
        - navigation.tabs
        - navigation.instant
        - navigation.expand
        - navigation.top
        - search.suggest
        - search.highlight
plugins:
    - search:
        lang:
           - fr 
    - pdf-export:
        media_type: print
        enabled_if_env: ENABLE_PDF_EXPORT
    - git-revision-date-localized:
        fallback_to_build_date: true
extra_css:
    - stylesheets/fontawesome-all.css
    - stylesheets/second_extra.css
extra_javascript:
    - https://cdnjs.cloudflare.com/ajax/libs/tablesort/5.2.1/tablesort.min.js
    - javascripts/extra.js
      
markdown_extensions:
    - abbr
    - codehilite
    - pymdownx.magiclink
    - pymdownx.mark
    #- material.extensions.emoji.twemoji
    - pymdownx.emoji:
        #emoji_index: !!python/name:materialx.emoji.twemoji
        #emoji_generator: !!python/name:materialx.emoji.to_svg    
    - admonition
    - pymdownx.details
    - pymdownx.keys
    - pymdownx.critic
    - pymdownx.caret
    - pymdownx.tilde
    - pymdownx.superfences
    - pymdownx.snippets
    - footnotes
    - attr_list
    - md_in_html
    - def_list
    - toc:
        permalink: true  

extra:
    manifest: 'manifest.json'
    social:
        - icon: fontawesome/brands/github
          link: https://github.com/Bruno21
        - icon: fontawesome/brands/flickr
          link: https://www.flickr.com/photos/funnymac/

copyright: Copyright &copy; 2016 - 2024 Bruno Pesenti
            
site_dir: central_docs
 
dev_addr: '127.0.0.1:8001'

#####
# pdf-export: DeprecationWarning: A plugin has set File.page to an instance of Page and it got overwritten.
